Bug 1108744 (CVE-2014-4027) - CVE-2014-4027 Kernel: target/rd: imformation leakage
Summary: CVE-2014-4027 Kernel: target/rd: imformation leakage
Status: CLOSED ERRATA
Alias: CVE-2014-4027
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140107,reported=2...
Keywords: Reopened, Security
Depends On: 1108751 1108752 1108754 1108755 1108756
Blocks: 1107940
TreeView+ depends on / blocked
 
Reported: 2014-06-12 13:58 UTC by Prasad J Pandit
Modified: 2019-06-08 20:04 UTC (History)
29 users (show)

(edit)
An information leak flaw was found in the RAM Disks Memory Copy (rd_mcp) backend driver of the iSCSI Target subsystem of the Linux kernel. A privileged user could use this flaw to leak the contents of kernel memory to an iSCSI initiator remote client.
Clone Of:
(edit)
Last Closed: 2016-02-10 07:23:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0913 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 22:00:11 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC

Description Prasad J Pandit 2014-06-12 13:58:01 UTC
Linux kernel built with the Generic Target Core Mod(TCM), an iSCSI Target
engine(CONFIG_TARGET_CORE), along with the Ramdisk back-end driver support, is vulnerable to an information leakage flaw. It could occur while performing I/O operations on behalf of a SCSI initiator.

A privileged user/process could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/4442dc8a92b8f9ad8ee9e7f8438f4c04c03a22dc
v2-> http://permalink.gmane.org/gmane.linux.scsi.target.devel/6618

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/11/1

Comment 1 Prasad J Pandit 2014-06-12 14:00:35 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel package as shipped with Red Hat Enterprise Linux 6 and 7. Future kernel updates for Red Hat Enterprise Linux 6 and 7 may address this issue.

Comment 4 errata-xmlrpc 2014-07-22 18:04:48 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Comment 5 Martin Prpič 2014-12-03 09:56:50 UTC
IssueDescription:

An information leak flaw was found in the RAM Disks Memory Copy (rd_mcp) backend driver of the iSCSI Target subsystem of the Linux kernel. A privileged user could use this flaw to leak the contents of kernel memory to an iSCSI initiator remote client.

Comment 6 errata-xmlrpc 2014-12-09 20:33:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html


Note You need to log in before you can comment on or make changes to this bug.